<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('peninjauan', function (Blueprint $table) {
            $table->string('video_pemohon')->nullable()->after('kampung_kelurahan');
            $table->string('video_saksi_batas')->nullable()->after('video_pemohon');
            $table->string('nama_kaur_pemerintahan')->nullable()->after('video_saksi_batas');
            $table->string('nama_petugas_ukur_1')->nullable()->after('nama_kaur_pemerintahan');
            $table->string('nama_petugas_ukur_2')->nullable()->after('nama_petugas_ukur_1');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('peninjauan', function (Blueprint $table) {
            $table->dropColumn(['video_pemohon', 'video_saksi_batas', 'nama_kaur_pemerintahan', 'nama_petugas_ukur_1', 'nama_petugas_ukur_2']);
        });
    }
};
